from .http import session
import rdflib

def request(page, request):
    """
    Effectue une requête SPARQL sur une page de WikiMedica

    :param page: Page de WikiMedica ciblé
    :param request: Requête SPARQL appliqué
    :return: Réponse du point d'accés sous forme d'un tableau de dictionaire
    """
    data = session.get(page, stream=True)

    g = rdflib.Graph()
    g.parse(data.raw)
    qres = g.query(request)

    return [row.asdict() for row in qres]
